%global packname  quantities
%global rlibdir   %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.1.2
Release:          3%{?dist}
Summary:          Quantity Calculus for R Vectors

License:          MIT
URL:              https://cran.r-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

BuildRequires:    R-devel >= 3.1.0 R-Rcpp-devel >= 0.12.10
BuildRequires:    R-units >= 0.6.1 R-errors >= 0.3.0 R-testthat
# BuildRequires:  R-tibble R-pillar R-dplyr R-tidyr R-knitr R-markdown
Requires:         R-units R-errors R-Rcpp

%description
Integration of the 'units' and 'errors' packages for a complete quantity
calculus system for R vectors, matrices and arrays, with automatic
propagation, conversion, derivation and simplification of magnitudes and
uncertainties.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
export LANG=C.UTF-8
export _R_CHECK_FORCE_SUGGESTS_=0
%{_bindir}/R CMD check --ignore-vignettes %{packname}

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 05 2018 Iñaki Úcar <iucar@fedoraproject.org> - 0.1.2-1
- Update to 0.1.2

* Wed Oct 03 2018 Iñaki Úcar <iucar@fedoraproject.org> - 0.1.1-2
- Remove 'rm -rf %{buildroot}', not needed

* Mon Oct 01 2018 Iñaki Úcar <iucar@fedoraproject.org> - 0.1.1-1
- Initial package for Fedora
